RESTinio

Macros | Functions
crc32.c File Reference
`#include "zutil.h"`
`#include "crc32.h"`

Go to the source code of this file.

## Macros
#define | TBLS 1
#define | DO1 crc = crc_table[0][((int)crc ^ (*buf++)) & 0xff] ^ (crc >> 8)
#define | DO8 DO1; DO1; DO1; DO1; DO1; DO1; DO1; DO1
#define | GF2_DIM 32 /* dimension of GF(2) vectors (length of CRC) */

## Functions
unsigned long gf2_matrix_times | OF ((unsigned long *mat, unsigned long vec))
void gf2_matrix_square | OF ((unsigned long *square, unsigned long *mat))
uLong crc32_combine_ | OF ((uLong crc1, uLong crc2, z_off64_t len2))
const z_crc_t FAR *ZEXPORT | get_crc_table ()
unsigned long ZEXPORT | crc32_z (unsigned long crc, const unsigned char FAR *buf, z_size_t len)
unsigned long ZEXPORT | crc32 (unsigned long crc, const unsigned char FAR *buf, uInt len)
unsigned long | gf2_matrix_times (unsigned long *mat, unsigned long vec)
void | gf2_matrix_square (unsigned long *square, unsigned long *mat)
uLong | crc32_combine_ (uLong crc1, uLong crc2, z_off64_t len2)
uLong ZEXPORT | crc32_combine (uLong crc1, uLong crc2, z_off_t len2)
uLong ZEXPORT | crc32_combine64 (uLong crc1, uLong crc2, z_off64_t len2)

## Macro Definition Documentation

## ◆ DO1

#define DO1 crc = crc_table[0][((int)crc ^ (*buf++)) & 0xff] ^ (crc >> 8)

Definition at line 198 of file crc32.c.

## ◆ DO8

#define DO8 DO1; DO1; DO1; DO1; DO1; DO1; DO1; DO1

Definition at line 199 of file crc32.c.

## ◆ GF2_DIM

#define GF2_DIM 32 /* dimension of GF(2) vectors (length of CRC) */

Definition at line 341 of file crc32.c.

## ◆ TBLS

#define TBLS 1

Definition at line 44 of file crc32.c.

## Function Documentation

## ◆ crc32()

unsigned long ZEXPORT crc32 | ( | unsigned long | crc,
|  | const unsigned char FAR * | buf,
|  | uInt | len
| ) |  |

Definition at line 237 of file crc32.c.

## ◆ crc32_combine()

uLong ZEXPORT crc32_combine | ( | uLong | crc1,
|  | uLong | crc2,
|  | z_off_t | len2
| ) |  |

Definition at line 428 of file crc32.c.

## ◆ crc32_combine64()

uLong ZEXPORT crc32_combine64 | ( | uLong | crc1,
|  | uLong | crc2,
|  | z_off64_t | len2
| ) |  |

Definition at line 436 of file crc32.c.

## ◆ crc32_combine_()

uLong crc32_combine_ | ( | uLong | crc1,
|  | uLong | crc2,
|  | z_off64_t | len2
| ) |  |

Definition at line 372 of file crc32.c.

## ◆ crc32_z()

unsigned long ZEXPORT crc32_z | ( | unsigned long | crc,
|  | const unsigned char FAR * | buf,
|  | z_size_t | len
| ) |  |

Definition at line 202 of file crc32.c.

## ◆ get_crc_table()

const z_crc_t FAR *ZEXPORT get_crc_table | ( |  | ) |

Definition at line 188 of file crc32.c.

## ◆ gf2_matrix_square()

void gf2_matrix_square | ( | unsigned long * | square,
|  | unsigned long * | mat
| ) |  |

Definition at line 361 of file crc32.c.

## ◆ gf2_matrix_times()

unsigned long gf2_matrix_times | ( | unsigned long * | mat,
|  | unsigned long | vec
| ) |  |

Definition at line 344 of file crc32.c.

## ◆ OF() [1/3]

uLong crc32_combine_ OF | ( | (uLong crc1, uLong crc2, z_off64_t len2) |  | ) |

## ◆ OF() [2/3]

unsigned long gf2_matrix_times OF | ( | (unsigned long *mat, unsigned long vec) |  | ) |

## ◆ OF() [3/3]

void gf2_matrix_square OF | ( | (unsigned long *square, unsigned long *mat) |  | ) |